Name:          msgpack-cxx
Version:       7.0.0
Release:       1mamba
Summary:       An efficient C++ JSON library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/msgpack/msgpack-c
Source:        https://github.com/msgpack/msgpack-c.git/cpp-%{version}/msgpack-c-%{version}.tar.bz2
License:       BSL-1.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
MessagePack is an efficient binary serialization format, which lets you exchange data among multiple languages like JSON, except that it's faster and smaller.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       An efficient C++ JSON library

%description -n lib%{name}-devel
MessagePack is an efficient binary serialization format, which lets you exchange data among multiple languages like JSON, except that it's faster and smaller.
This package contains header files for developing applications that use %{name}.

#% debug_package

%prep
%setup -q -n msgpack-c-%{version}

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/msgpack.hpp
%dir %{_includedir}/msgpack
%{_includedir}/msgpack/*
%dir %{_libdir}/cmake/msgpack-cxx
%{_libdir}/cmake/msgpack-cxx/msgpack-cxx*.cmake
%doc COPYING README.md

%changelog
* Sat Nov 02 2024 Automatic Build System <autodist@openmamba.org> 7.0.0-1mamba
- automatic version update by autodist

* Thu May 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.1-1mamba
- package created using the webbuild interface
